ru.bitel.bgbilling.plugins.fias.server.bean

## Class AddressLoadManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
  - - ru.bitel.bgbilling.plugins.fias.server.bean.AddressLoadManager

-     public class AddressLoadManager
      extends BaseLoadManager

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

      `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, con, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, logger, PROFILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressLoadManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `addAllTempStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)`
    `void` | `createTempStreetTable(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)`
    `java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street>` | `findStreetInFias(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)`
    `java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City>` | `getCityFromBG()`
    `java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City>` | `getCityList()`
    `ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street` | `getNextEmptyBillingStreet(int cityId)`
    `java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street>` | `getStreetList(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)`
    `boolean` | `loadInProcess()`
    `void` | `updateCity(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)`
    `void` | `updateCityBgTitle(int cityId, java.lang.String name)`
    `void` | `updateStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)`
    `void` | `updateStreetBgTitle(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)`

    - ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

      `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressLoadManager

          public AddressLoadManager(java.sql.Connection con)

  - ### Method Detail

    - #### updateCity

          public void updateCity(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateStreet

          public void updateStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addAllTempStreet

          public java.lang.String addAllTempStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                                            throws ru.bitel.bgbilling.common.BGException,
                                                   java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### createTempStreetTable

          public void createTempStreetTable(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNextEmptyBillingStreet

          public ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street getNextEmptyBillingStreet(int cityId)
                                                                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### findStreetInFias

          public java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> findStreetInFias(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)
                                                                                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### loadInProcess

          public boolean loadInProcess()
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getCityFromBG

          public java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> getCityFromBG()
                                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getCityList

          public java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> getCityList()
                                                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getStreetList

          public java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> getStreetList(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateCityBgTitle

          public void updateCityBgTitle(int cityId,
                                        java.lang.String name)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateStreetBgTitle

          public void updateStreetBgTitle(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`